org.gradle.api.provider

## Interface PropertyState<T>

- Type Parameters:
    `T` - Type of value represented by property state
  All Superinterfaces:
    Property<T>, Provider<T>
  All Known Subinterfaces:
    DirectoryVar, RegularFileVar

  Deprecated.
  Use `Property` instead.

      @Incubating
       @Deprecated
      public interface PropertyState<T>
      extends Property<T>

  A `Provider` representation for capturing the state of a property. The value can be provided by using the method `Property.set(Object)` or `Property.set(Provider)`.

  Note: This interface is not intended for implementation by build script or plugin authors. An instance of this class can be created through the factory methods `Project.property(java.lang.Class)` or `ProviderFactory.property(java.lang.Class)`.

  Since:
    4.0

- - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.provider.Property

      `set, set`

    - ### Methods inherited from interface org.gradle.api.provider.Provider

      `get, getOrElse, getOrNull, isPresent, map`